demo/cities/urls.py
from django.urls import path, re_path
from cities.views import CityCreateView, CityListView, CityDetailView

app_name = 'cities'

urlpatterns = [
    path('', CityListView.as_view(), name="list"),
    re_path(r'^(?P<pk>\d+)/$', CityDetailView.as_view(), name="detail"),
    re_path(r'^create/$', CityCreateView.as_view(), name="create"),
]

demo/demo/urls.py
from django.conf import settings
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('cities/', include('cities.urls'))
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

demo/cities/models.py
from __future__ import unicode_literals

from django.contrib.gis.db import models
from django.contrib.gis.geos import Point

DEFAULT_LOCATION_POINT = Point(-104.9903, 39.7392)


class House(models.Model):
    location = models.PointField(help_text="Use map widget for point the house location")
    name = models.CharField(max_length=255)
    location_has_default = models.PointField(default=DEFAULT_LOCATION_POINT)

    def __str__(self):
        return self.name


class Neighbour(models.Model):
    neighbour_of_house = models.ForeignKey(House, on_delete=models.CASCADE)

    location = models.PointField(null=True, blank=True)
    address = models.TextField()

    def __str__(self):
        return self.address


class City(models.Model):
    name = models.CharField(max_length=255)
    location = models.PointField(help_text="Use map widget for point the house location")

    def __str__(self):
        return self.name

demo/cities/forms.py
from django import forms

from cities.models import City
from mapwidgets.widgets import MapboxPointFieldWidget, GoogleStaticMapWidget, GoogleStaticOverlayMapWidget, GooglePointFieldWidget


class CityCreateForm(forms.ModelForm):

    class Meta:
        model = City
        fields = ('name', 'location')
        widgets = {
            'location': GooglePointFieldWidget,
        }


class CityDetailForm(forms.ModelForm):

    class Meta:
        model = City
        fields = ('name', 'location')
        widgets = {
            'location': GoogleStaticOverlayMapWidget(zoom=12, thumbnail_size='50x50', size='640x640'),
        }

demo/cities/views.py
from django.views.generic import FormView, ListView, UpdateView
from django.urls import reverse

from cities.forms import CityCreateForm, CityDetailForm
from cities.models import City


class CityListView(ListView):
    queryset = City.objects.all()
    template_name = "cities/list.html"
    context_object_name = "cities"


class CityDetailView(UpdateView):
    form_class = CityDetailForm
    model = City
    template_name = "cities/detail.html"


class CityCreateView(FormView):
    template_name = "cities/form.html"
    form_class = CityCreateForm
    success_url = '/cities/'

    def form_valid(self, form):
        form.save()
        return super(CityCreateView, self).form_valid(form)

demo/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  {% block blockbots %}<meta name="robots" content="NONE,NOARCHIVE" />{% endblock %}
  <title>Map Widgets - Example Project</title>
  <link rel="stylesheet" href="{% static "css/bootstrap.css" %}">
  <link rel="stylesheet" href="{% static "css/bootstrap-theme.css" %}">
  <script type="text/javascript" src="https://code.jquery.com/jquery-2.2.4.min.js" crossorigin="anonymous"></script>
  <script type="text/javascript" src="{% static "js/bootstrap.min.js" %}"></script>
  {% block extrahead %}
  {% endblock extrahead %}
</head>
<body>
  <div class="container help-block" >
    {% block content %}
    {% endblock content %}
  </div>

  {% block javascript %}
  {% endblock javascript %}

</body>
</html>

demo/templates/cities/detail.html
{% extends "base.html" %}

{% block extrahead %}
    {{ form.media }}
{% endblock extrahead %}

{% block content %}
    {{ form.as_p }}
{% endblock content %}

demo/templates/cities/form.html
{% extends "base.html" %}

{% block javascript %}
  <script type="text/javascript">
      (function ($){
          $(document).on("google_point_map_widget:marker_create", function (e, lat, lng, locationInputElem, mapWrapID) {
              console.log("EVENT: marker_create"); // django widget textarea widget (hidden)
              console.log(locationInputElem); // django widget textarea widget (hidden)
              console.log(lat, lng); // created marker coordinates
              console.log(mapWrapID); // map widget wrapper element ID
          });

          $(document).on("google_point_map_widget:marker_change", function (e, lat, lng, locationInputElem, mapWrapID) {
              console.log("EVENT: marker_change"); // django widget textarea widget (hidden)
              console.log(locationInputElem); // django widget textarea widget (hidden)
              console.log(lat, lng);  // changed marker coordinates
              console.log(mapWrapID); // map widget wrapper element ID
          });

          $(document).on("google_point_map_widget:marker_delete", function (e, lat, lng, locationInputElem, mapWrapID) {
              console.log("EVENT: marker_delete"); // django widget textarea widget (hidden)
              console.log(locationInputElem); // django widget textarea widget (hidden)
              console.log(lat, lng);  // deleted marker coordinates
              console.log(mapWrapID); // map widget wrapper element ID
          })

          $(document).on("google_point_map_widget:place_changed", function (e, place, lat, lng, locationInputElem, mapWrapID) {
              console.log("EVENT: place_changed"); // django widget textarea widget (hidden)
              console.log(place);
              console.log(locationInputElem); // django widget textarea widget (hidden)
              console.log(lat, lng); // created marker coordinates
              console.log(mapWrapID); // map widget wrapper element ID
          });
          console.log($("#location-map-elem").data("googleMapObj"));
          console.log($("#location-map-elem").data("googleMapWidgetObj"));
      })(jQuery)
  </script>
{% endblock javascript %}


{% block extrahead %}
    {{ form.media }}
{% endblock extrahead %}
{% block content %}
    <form action="{% url "cities:create" %}" method="post" >
        {% csrf_token %}
        {{ form.as_p }}
        <button type="submit" class="btn btn-primary">Create</button>
    </form>
{% endblock content %}

demo/templates/cities/list.html
{% extends "base.html" %}

{% block content %}
    <div class="container">
        <div style="margin-bottom: 20px"><a href="{% url "cities:create" %}" class="btn btn-default block">Create</a></div>
        <ul class="block">
            {% for city in cities %}
                <li><a href="{% url "cities:detail" city.id %}">{{ city.name }}</a></li>
            {% endfor %}
        </ul>
    </div>
{% endblock content %}